import { LogLevel } from 'vite';

export type PluginOptions = {
    /**
     * 是否开启调试模式
     */
    debug: boolean;
    /**
     * 应用目录
     * @default 'src/app'
     */
    appDir: string;
    /**
     * 日志等级
     */
    logLevel: LogLevel;
    /**
     * 是否禁用懒加载
     */
    disableLazy: boolean;
    /**
     * 是否区分大小写
     */
    caseSensitive: boolean;
};
export type UserPluginOptions = Partial<PluginOptions>;
